- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences/editCustomerMatchMembers#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences/editCustomerMatchMembers#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences/editCustomerMatchMembers#body.request_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences/editCustomerMatchMembers#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences/editCustomerMatchMembers#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences/editCustomerMatchMembers#body.EditCustomerMatchMembersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences/editCustomerMatchMembers#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences/editCustomerMatchMembers#try-it)

Updates the member list of a Customer Match audience.

Only supported for the following `https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences#FirstPartyAndPartnerAudience.FIELDS.audience_type`:

- `CUSTOMER_MATCH_CONTACT_INFO`
- `CUSTOMER_MATCH_DEVICE_ID`

### HTTP request

`POST https://displayvideo.googleapis.com/v4/firstPartyAndPartnerAudiences/{firstPartyAndPartnerAudienceId}:editCustomerMatchMembers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `firstPartyAndPartnerAudienceId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the Customer Match FirstPartyAndPartnerAudience whose members will be edited. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "advertiserId": string, // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "addedContactInfoList": { object (`https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences#ContactInfoList`) }, "addedMobileDeviceIdList": { object (`https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences#MobileDeviceIdList`) } // End of mutually exclusive fields. // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "removedContactInfoList": { object (`https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences#ContactInfoList`) }, "removedMobileDeviceIdList": { object (`https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences#MobileDeviceIdList`) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the owner advertiser of the updated Customer Match FirstAndThirdPartyAudience. |
| The members to be added to the Customer Match audience. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `addedContactInfoList` | ``object (`https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences#ContactInfoList`)`` Input only. A list of contact information to define the members to be added. |
| `addedMobileDeviceIdList` | ``object (`https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences#MobileDeviceIdList`)`` Input only. A list of mobile device IDs to define the members to be added. |
| End of mutually exclusive fields. ||
| The members to be removed from the Customer Match audience. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `removedContactInfoList` | ``object (`https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences#ContactInfoList`)`` Input only. A list of contact information to define the members to be removed. |
| `removedMobileDeviceIdList` | ``object (`https://developers.google.com/display-video/api/reference/rest/v4/firstPartyAndPartnerAudiences#MobileDeviceIdList`)`` Input only. A list of mobile device IDs to define the members to be removed. |
| End of mutually exclusive fields. ||

### Response body

The response of FirstPartyAndPartnerAudienceService.EditCustomerMatchMembers.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "firstPartyAndPartnerAudienceId": string } ``` |

| Fields ||
|---|---|
| `firstPartyAndPartnerAudienceId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the updated Customer Match FirstPartyAndPartnerAudience. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).